ANN: New stable release - 2006.07.11

Doug Kearns dougkearns at
Wed Jul 19 10:57:41 EDT 2006

G'day Hugh,

On Wed, Jul 19, 2006 at 03:10:58PM +0100, Hugh Sasse wrote:
> On Tue, 11 Jul 2006, Doug Kearns wrote:
> > I've just sent up vim-ruby-2006.07.11.
> I hadn't notice vim7.0 was out till today.  So I installed it.
> I tried to use omni-complete (^X^O) within a ruby file and 
> I got an error E764 omnifunc not set.

Is your version compiled with the Ruby interface? Does :version show
+ruby? I would actually have expected "Error: Required vim compiled with
+ruby" with the default Vim 7.
> So I grabbed this release, installed the gem, and tried again.
> I got the same message.

I recently changed this so that 'omnifunc' is not set if vim doesn't
have +ruby.
> I've not been at the sharp end of vim development for a while,
> so I've probably missed something.  Do I need to set something
> else?  I suppose the facility has a cost so it isn't on out-of-the-box?

It is configured to run 'out of the box' if vim was compiled with the
Ruby interface.
> [And if I might ask something off topic, can I set spellang=en_gb
> globally, so I can just set spell, set nospell to turn it on and 
> off without having to tell it which langauge all the time? Or something
> that doesn't involve a mapping, so it will work wherever vim is.]

I'm not sure I understand...why can't you set this in your .vimrc?
> Thank you.

More information about the vim-ruby-devel mailing list